"use strict";
/// <reference path="../../typings/jasmine/jasmine.d.ts" />
/// <reference path="../../typings/node/node.d.ts" />
var fs = require('fs');
var path = require('path');
describe("template codegen output", function () {
    var outDir = path.join('dist', 'tools', 'compiler_cli', 'test', 'built');
    it("should lower Decorators without reflect-metadata", function () {
        var jsOutput = path.join(outDir, 'basic.js');
        expect(fs.existsSync(jsOutput)).toBeTruthy();
        expect(fs.readFileSync(jsOutput, { encoding: 'utf-8' })).not.toContain('Reflect.decorate');
    });
    it("should produce metadata.json outputs", function () {
        var metadataOutput = path.join(outDir, 'basic.metadata.json');
        expect(fs.existsSync(metadataOutput)).toBeTruthy();
        var output = fs.readFileSync(metadataOutput, { encoding: 'utf-8' });
        expect(output).toContain('"decorators":');
        expect(output).toContain('"name":"Component","module":"angular2/core"');
    });
    it("should write .d.ts files", function () {
        var dtsOutput = path.join(outDir, 'basic.d.ts');
        expect(fs.existsSync(dtsOutput)).toBeTruthy();
        expect(fs.readFileSync(dtsOutput, { encoding: 'utf-8' })).toContain('Basic');
    });
});
//# sourceMappingURL=basic_spec.js.map