/**
 * Transform template html and css into executable code.
 * Intended to be used in a build step.
 */
import * as ts from 'typescript';
import * as compiler from '@angular/compiler';
import { StaticReflector } from './static_reflector';
import { CompileMetadataResolver } from '@angular/compiler/src/metadata_resolver';
import { NodeReflectorHost } from './reflector_host';
export interface AngularCompilerOptions {
    genDir: string;
    basePath: string;
    skipTemplateCodegen: boolean;
    skipMetadataEmit: boolean;
    legacyPackageLayout: boolean;
}
export declare class CodeGenerator {
    private ngOptions;
    private basePath;
    private program;
    host: ts.CompilerHost;
    private staticReflector;
    private resolver;
    private compiler;
    private reflectorHost;
    constructor(ngOptions: AngularCompilerOptions, basePath: string, program: ts.Program, host: ts.CompilerHost, staticReflector: StaticReflector, resolver: CompileMetadataResolver, compiler: compiler.OfflineCompiler, reflectorHost: NodeReflectorHost);
    private generateSource(metadatas);
    private readComponents(absSourcePath);
    private generateStylesheet(filepath, shim);
    codegen(): Promise<any>;
    static create(ngOptions: AngularCompilerOptions, program: ts.Program, options: ts.CompilerOptions, compilerHost: ts.CompilerHost): CodeGenerator;
}
